Skip to main content

Logs

Endpoint​

GET /api/v1/repos/:org/:repo/builds/:build/logs

Parameters​

The following parameters are used to configure the endpoint:

NameDescription
orgname of organization
reponame of repository
buildnumber of build

Permissions​

COMING SOON!

Responses​

Status CodeDescription
200indicates the request has succeeded
401indicates the user does not have proper permissions

Sample​

warning

This section assumes you already know how to authenticate to the API.

To authenticate to the API, please review the authentication documentation.

Request​

curl \
-X GET \
-H "Authorization: Bearer <token>" \
"http://127.0.0.1:8080/api/v1/repos/github/octocat/builds/1/logs"

Response​

[
{
"id": 1,
"step_id": 1,
"build_id": 1,
"repo_id": 1,
"data": "SGVsbG8sIFdvcmxkIQ=="
},
{
"id": 2,
"step_id": 2,
"build_id": 1,
"repo_id": 1,
"data": "SGVsbG8sIFdvcmxkIQ=="
}
]

The data field is base64 encoded. To decode the data, you can use the following command:

echo "SGVsbG8sIFdvcmxkIQ==" | base64 --decode